// +FHDR------------------------------------------------------------
//                 Copyright (c) 2022 SmartLogic.
//                       ALL RIGHTS RESERVED
// -----------------------------------------------------------------
// Filename      : pet_sm_mgt.h
// Author        : xianfeng.du
// Created On    : 2022-06-25
// Last Modified :
// -----------------------------------------------------------------
// Description:
//
//
// -FHDR------------------------------------------------------------

#ifndef __PET_SHARE_MEM_MGT_H__
#define __PET_SHARE_MEM_MGT_H__

#include "ucp_handshake.h"
#include "msg_transfer_queue.h"

typedef struct tPetSmLocalMgt {
	UcpHandshake_t*				pHandshake;//common
	SyncInfo_t*					pSyncInfo;//common
	uint16_t*					pBufIdxBase;//common
	MsgQueueCfg_t*				pQueueCfg[MAX_INSTANCE_NUM][UCP4008_TRAFFIC_MAX_NUM];//common
	MsgQueueCommonInfo_t*		pDlQueue[MAX_INSTANCE_NUM][UCP4008_TRAFFIC_MAX_NUM];//common
	MsgQueueCommonInfo_t*		pUlQueue[MAX_INSTANCE_NUM][UCP4008_TRAFFIC_MAX_NUM];//common
} PetSmLocalMgt_t;

void pet_sm_alloc(void);
PetSmLocalMgt_t* get_pet_sm_local_mgt(void);

#endif

